# onyx_pfc_interface – Manage priority flow control on ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of priority flow control (PFC) on interfaces of Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of interfaces PFC should be configured on.
name - |  | Name of the interface PFC should be configured on.

purge
boolean

Choices:
- no ←
- yes

Purge interfaces not defined in the aggregate parameter.

state
-

Choices:
- enabled ←
- disabled

State of the PFC configuration.

## Notes

Note

- Tested on ONYX 3.6.4000

## Examples

    - name: configure PFC
      onyx_pfc_interface:
        name: Eth1/1
        state: enabled

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['interface ethernet 1/17 dcb priority-flow-control mode on']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.